
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>redis（二）主从复制 / iVAN</title>

    <meta name="description" content="redis（二）主从复制 一.Redis的Replication: Redis中配置Master-Slave模式非常简单,下面的列表清楚的解释了Redis Replication的特点和优势. 1). 同一个Master可以同步多个Slaves. 2). Slave同样可以接受其它Slaves的连接和同步请求,这样可以有效的分载Master的同步压力.因此我们可以将Redis的Replication架构视为图结构. 3). Master Server是以非阻塞的方式为Slaves提供服务.所以在Master-Slave同">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/bootstrap.css" rel="stylesheet">
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
  <script>
  var _hmt = _hmt || [];
  (function() {
    var hm = document.createElement("script");
    hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
    var s = document.getElementsByTagName("script")[0]; 
    s.parentNode.insertBefore(hm, s);
  })();
  </script>
 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="https://pic.ikafan.com/staticx/iamivan/2/assets/logo.png" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/">首页</a></li>
            <li><a href="/tag/互联网/">互联网</a></li>
            <li><a href="/tag/java/">java</a></li>
            <li><a href="/tag/mysql/">mysql</a></li>
            <li><a href="/tag/android/">Android</a></li>
            <li><a href="/tag/ios/">IOS</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    <div id="main" class="col-md-8">


<h1 class="mtitle">redis（二）主从复制</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>

    	<section>
		<article class="clearfix">
		<p>一、Redis的Replication：</p>
<p>Redis中配置Master-Slave模式非常简单，下面的列表清楚的解释了Redis Replication的特点和优势。</p>
<p>1). 同一个Master可以同步多个Slaves。</p>
<p>2). Slave同样可以接受其它Slaves的连接和同步请求，这样可以有效的分载Master的同步压力。因此我们可以将Redis的Replication架构视为图结构。</p>
<p>3). Master Server是以非阻塞的方式为Slaves提供服务。所以在Master-Slave同步期间，客户端仍然可以提交查询或修改请求。</p>
<p>4). Slave Server同样是以非阻塞的方式完成数据同步。在同步期间，如果有客户端提交查询请求，Redis则返回同步之前的数据。</p>
<p>5). 为了分载Master的读操作压力，Slave服务器可以为客户端提供只读操作的服务，写服务仍然必须由Master来完成。即便如此，系统的伸缩性还是得到了很大的提高。</p>
<p>6). Master可以将数据保存操作交给Slaves完成，从而避免了在Master中要有独立的进程来完成此操作。</p>
<p>二、Replication的工作原理：</p>
<p>在Slave启动并连接到Master之后，它将主动发送一个SYNC命令。此后Master将启动后台存盘进程，同时收集所有接收到的用于修改数据集的命令，在后台进程执行完毕后，Master将传送整个数据库文件到Slave，以完成一次完全同步。而Slave服务器在接收到数据库文件数据之后将其存盘并加载到内存中。此后，Master继续将所有已经收集到的修改命令，和新的修改命令依次传送给Slaves，Slave将在本次执行这些数据修改命令，从而达到最终的数据同步。</p>
<p>如果Master和Slave之间的链接出现断连现象，Slave可以自动重连Master，但是在连接成功之后，一次完全同步将被自动执行。</p>
<p>三、如何配置Replication：</p>
<p>见如下步骤：</p>
<p>1). 同时启动两个Redis服务器，可以考虑在同一台机器上启动两个Redis服务器，分别监听不同的端口，如6379和6380。</p>
<p>2). 在Slave服务器上执行一下命令：</p>
<p>/&gt; redis-cli -p 6380   #这里我们假设Slave的端口号是6380</p>
<p>redis 127.0.0.1:6380&gt; slaveof 127.0.0.1 6379 #我们假设Master和Slave在同一台主机，Master的端口为6379</p>
<p>OK</p>
<p>上面的方式只是保证了在执行slaveof命令之后，redis_6380成为了redis_6379的slave，一旦服务(redis_6380)重新启动之后，他们之间的复制关系将终止。</p>
<p>如果希望长期保证这两个服务器之间的Replication关系，可以在redis_6380的配置文件中做如下修改：</p>
<p>/&gt; cd /etc/redis  #切换Redis服务器配置文件所在的目录。</p>
<p>/&gt; ls</p>
<p>6379.conf  6380.conf</p>
<p>/&gt; vi 6380.conf</p>
<p>将</p>
<p># slaveof &lt;masterip&gt; &lt;masterport&gt;</p>
<p>改为</p>
<p>slaveof 127.0.0.1 6379</p>
<p>保存退出。</p>
<p>这样就可以保证Redis_6380服务程序在每次启动后都会主动建立与Redis_6379的Replication连接了。</p>
<p>查看本栏目更多精彩内容：http://www.bianceng.cnhttp://www.bianceng.cn/Servers/zs/</p>
<p>四、应用示例：</p>
<p>这里我们假设Master-Slave已经建立。</p>
<p>#启动master服务器。</p>
<p>[root@Stephen-PC redis]# redis-cli -p 6379</p>
<p>redis 127.0.0.1:6379&gt;</p>
<p>#情况Master当前数据库中的所有Keys。</p>
<p>redis 127.0.0.1:6379&gt; flushdb</p>
<p>OK</p>
<p>#在Master中创建新的Keys作为测试数据。</p>
<p>redis 127.0.0.1:6379&gt; set mykey hello</p>
<p>OK</p>
<p>redis 127.0.0.1:6379&gt; set mykey2 world</p>
<p>OK</p>
<p>#查看Master中存在哪些Keys。</p>
<p>redis 127.0.0.1:6379&gt; keys *</p>
<p>1) "mykey"</p>
<p>2) "mykey2"</p>
<p>#启动slave服务器。</p>
<p>[root@Stephen-PC redis]# redis-cli -p 6380</p>
<p>#查看Slave中的Keys是否和Master中一致，从结果看，他们是相等的。</p>
<p>redis 127.0.0.1:6380&gt; keys *</p>
<p>1) "mykey"</p>
<p>2) "mykey2"</p>
<p>#在Master中删除其中一个测试Key，并查看删除后的结果。</p>
<p>redis 127.0.0.1:6379&gt; del mykey2</p>
<p>(integer) 1</p>
<p>redis 127.0.0.1:6379&gt; keys *</p>
<p>1) "mykey"</p>
<p>#在Slave中查看是否mykey2也已经在Slave中被删除。</p>
<p>redis 127.0.0.1:6380&gt; keys *</p>
<p>1) "mykey"</p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-02-20 03:32:40</div>
		
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.iamivan.net/tag/%e5%90%8c%e6%ad%a5/" title="同步">同步</a>, <a href="https://www.iamivan.net/tag/%e6%9c%8d%e5%8a%a1%e5%99%a8/" title="服务器">服务器</a>, <a href="https://www.iamivan.net/tag/redis/" title="redis">redis</a>, <a href="https://www.iamivan.net/tag/master/" title="master">master</a>, <a href="https://www.iamivan.net/tag/replication/" title="replication">replication</a>, <a href="https://www.iamivan.net/tag/master-slave/" title="Master-Slave">Master-Slave</a>, <a href="https://www.iamivan.net/tag/slave/" title="slave">slave</a>, <a href="https://www.iamivan.net/tag/redis%e5%91%bd%e4%bb%a4/" title="redis命令">redis命令</a>, <a href="https://www.iamivan.net/tag/%e8%bf%9e%e6%8e%a5redis%e7%ae%80%e5%8d%95%e4%be%8b%e5%ad%90/" title="连接Redis简单例子">连接Redis简单例子</a>        </div> -->
	</section>
	
	

		<div id="similar">

		<h3>redis（二）主从复制的相关文章</h3>

						<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/p86VKZb.html" rel="bookmark">redis之（十四）redis的主从复制的原理</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				一:redis主从复制的原理,步骤.   第一步:复制初始化 ---&gt;从redis启动后,会根据配置,向主redis发送SYNC命令.2.8版本以后,发送PSYNC命令. ---&gt;主redis收到SYNC命令后,开始在后台保存快照文件(即RDB持久化的过程),并将保存快照期间接收到的命令缓存起来. ---&gt;当主redis完成快照后,主redis会将快照文件和缓存命令发送给从redis.复制初始化结束. ---&gt;当主redis的复制初始化结束后,主redis每当收到写命令就会异步将写			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zDyQdrb.html" rel="bookmark">Redis总结（三）Redis 的主从复制</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				接着上一篇,前面两篇我总结了&lt;Redis总结(一)Redis安装&gt;和&lt;Redis总结(二)C#中如何使用redis&gt; 所以这一篇,会讲讲Redis 的主从复制以及C#中如何调用. Redis跟MySQL一样,拥有非常强大的主从复制功能,而且还支持一个master可以拥有多个slave,而一个slave又可以拥有多个slave,从而形成强大的多级服务器集群架构. redis的主从复制是异步进行的,它不会影响master的运行,所以不会降低redis的处理性能.主从架构中,可以考虑关闭			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MRd4Gez.html" rel="bookmark">《架构之路Redis系列》如何搭建Redis的主从复制</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				一.环境准备 1.redis-3.2.9 2.服务器三台(VMware下的unbutu)都装redis Master:192.168.247.133 Slave1:192.168.247.134 Slave2:192.168.247.135 二.环境搭建 配置主从复制的两种方式: (1).在redis.conf中设置slaveof,这种设置属于永久性的 slaveof &lt;masterip&gt; &lt;masterport&gt; (2).在redis-cli客户端中设置redis服务,这种属于暂			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zZKNg4b.html" rel="bookmark">Redis数据库主从复制配置详解</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				一.复制基本配置与演示   为了避免单点故障,Redis提供了复制功能,可以实现自动同步的过程.   1.配置   同步后的数据分为两类:一类是主数据库(master),一类是从数据库(slave).主数据库可以进行读写操作,当发生写操作时自动将数据同步给从数据库.而从数据一般只读,并接受主数据库同步过来的数据.   在Redis使用复制功能,只需要在从数据库的配置文件中加入&quot;salveof 主数据库IP 主数据库端口&quot;即可,主数据库无需进行任何配置.   2.Redis复制演示  			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/ze47W0p.html" rel="bookmark">MYSQL使用心得&lpar;二&rpar; 主从复制</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				基本配置 主数据库 配置文件,修改server_id=1 建立账户,供slave同步使用 GRANT REPLICATION SLAVE ON *.* to 'repl'@'192.168.56.3' identified by 'repl'; Mysql&gt; show master status; +------------------+----------+--------------+------------------+ | File | Position | Binlog_Do_DB |			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/M1j5Jap.html" rel="bookmark">【Redis】Redis 主从复制之一</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				前言   和关系型数据库一样,Redis也有自己的高可用属性,主从复制,相比而言 redis的主从复制的搭建过程更为简单.一 redis 主从复制的特点 1 同一个master可以拥有多个slaves. 2 master下的Slave还可以接受同一架构中其它slave的链接与同步请求,实现数据的级联复制,即master-&gt;slave-&gt;Sslave模式: 3 master以非阻塞的方式同步数据至slave,这将意味着master会继续处理一个或多个slave的读写请求: 4 slave端同步数			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bKYVlWp.html" rel="bookmark">Redis主从复制</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				1.什么是主从复制 Redis持久化保证了即使redis服务重启也不会丢失数据,因为redis服务重启后会将硬盘上持久化的数据恢复到内存中,但是当redis服务器的硬盘损坏了可能会导致数据丢失,如果通过redis的主从复制机制就可以避免这种单点故障,如下图: 说明: 主redis中的数据有两个副本(replication)即从redis1和从redis2,即使一台redis服务器宕机其它两台redis服务也可以继续提供服务. 主redis中的数据和从redis上的数据保持实时同步,当主redis			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bKkNvAb.html" rel="bookmark">Redis作为缓存自我总结（完全转载）</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				转载的目的是为了方便阅读 Redis作为缓存自我总结 来源:http://doushini.iteye.com/blog/1879616?utm_source=tuicool&amp;utm_medium=referral redis缓存服务器笔记 redis是一个高性能的key-value存储系统,能够作为缓存框架和队列 但是由于他是一个内存内存系统,这些数据还是要存储到数据库中的 作为缓存框架: create/updae/delete---同时存到redis和数据库 query--先从redis查,			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/p5ZYKRz.html" rel="bookmark">《架构之路Redis系列》Redis哨兵模式的搭建</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				一.哨兵模式 1.简介 Redis Sentinel是Redis官方提供的集群管理工具,可以部署在其他与redis集群可通讯的机器中监控redis集群. 2.特性 监控:能持续监控Redis的主从实例是否正常工作; 通知:当被监控的Redis实例出问题时,能通过API通知系统管理员或其他程序; 自动故障恢复:如果主实例无法正常工作,Sentinel将启动故障恢复机制把一个从实例提升为主实例,其他的从实例将会被重新配置到新的主实例,且应用程序会得到一个更换新地址的通知. 更多访问官方:https:			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bKY8N7p.html" rel="bookmark">Redis</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				提到redis,首先要谈一下noSQL. 1.什么是noSQL? NoSQL,泛指非关系型的数据库,NoSQL即Not-Only SQL,它可以作为关系型数据库的良好补充.传统关系数据库在应付web2.0网站,特别是超大规模和高并发的SNS类型的web2.0纯动态网站已经显得力不从心,暴露了很多难以克服的问题,例如: (1)High performance - 对数据库高并发读写的需求:web2.0网站要根据用户个性化信息来实时生成动态页面和提供动态信息,所以基本上无法使用动态页面静态化技术,因			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/OM9jd3p.html" rel="bookmark" class="title">用户体验中巧妙的过场动画</a>
					<div>
						  (Adrian Zumbrunnen著 Judithzhu &amp; Lynnwang译 查看原文 转载请注明出处MXD) 一些网页优于其他网页,不仅仅是因为它们的内容.可用程度.设计或是特色等 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/qbaDBXz.html" rel="bookmark" class="title">列表元素空隙问题的解决方法</a>
					<div>
						解决|问题  今天看了一个网页中有一个列表在IE中与在FF中的表现不太正确,哪一个是正确的,不是太清楚,后来才明白是IE的问题,FF表现是正确的.我写了一个简略版本的如下:&lt;!DOCTYPE h ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/OMyAVZM.html" rel="bookmark" class="title">oracle 存储过程的基本语法</a>
					<div>
						oracle|存储过程|语法 oracle 存储过程的基本语法 1.基本结构 CREATE OR REPLACE PROCEDURE 存储过程名字(    参数1 IN NUMBER,    参数2  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zZOO9Ob.html" rel="bookmark" class="title">jquery中fadeIn淡入效果</a>
					<div>
						[示例代码] &lt;html&gt; &lt;head&gt; &lt;script src=&quot;jquery-1.2.js&quot;&gt;&lt;/script&gt; &lt;scr ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pk2dd5M.html" rel="bookmark" class="title">组网维护：必备的局域网测试工具</a>
					<div>
						学生宿舍必备的局域网测试工具,我们在宿舍组建宿舍网:A:有些游戏需要tcp/ip协议支持,有的则需要ipx协议支持,局域网连接测试工具是组建宿舍网必备的,大家在搜索组建宿舍网关键字的时候,都是为了了解 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MArG5Xp.html" rel="bookmark" class="title">如何解决win7电脑延迟显示故障？</a>
					<div>
						  w764位旗舰版下载系统好不好?可能答案并不一致,有的用户说,win7旗舰版系统的兼容性很好,win7旗舰版的功能也足够强大;但是有的用户却说,win7旗舰版系统很慢,启动慢,有时候显示也慢.那么 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mr3Bgvp.html" rel="bookmark" class="title">java-在eclipse的android工程中包含&period;json本地文件</a>
					<div>
						问题描述 在eclipse的android工程中包含.json本地文件 我有一个.json本地文件,我不想把它放到服务器上,我只是想把它包含在我的app中.我试着直接把它贴到eclipse我的工程中, ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mxo790b.html" rel="bookmark" class="title">HBase API 详细例子&lpar;封装的DAO类）</a>
					<div>
						HBase中没有库的概念 HBase lib目录下所有JAR包复制到项目中,Hbase 版本0.98.5 package com.zxing.imgQRCode; import java.io.IOE ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MRqgDGb.html" rel="bookmark" class="title">如何注册Filter</a>
					<div>
						AX文件的一个对外接口DllRegisterServer,由外部调用,比如注册AX的时候:regsvr32 xxx.ax        通常情况下,我们的filter可能注册在&quot;Direct ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/b325vNz.html" rel="bookmark" class="title">VmWare6&period;5&period;2下安装RHEL 5&period;4（配置Oracle安装环境）</a>
					<div>
						如转载,请注明出处:http://blog.csdn.net/robinson_0612/archive/2009/10/04/4632312.aspx   一.安装VmWare       笔者选择 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pPP3Glp.html" rel="bookmark" class="title">深入分析Java ClassLoader原理</a>
					<div>
						一.什么是ClassLoader?          大家都知道,当我们写好一个Java程序之后,不是管是CS还是BS应用,都是由若干个.class文件组织而成的一个完整的Java应用程序,当程序在运 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z4N8y1M.html" rel="bookmark" class="title">你能答对几道SQL题？</a>
					<div>
						          我们使用的是PostgreSQL数据库,以下是在审核和优化开发人员SQL时发现的一些问题,现整理共享出来希望对各位有用,每个案例先都构造了一部分数据,然后提一个问题,看是否你能回答 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M1r6ajp.html" rel="bookmark" class="title">编程-如何判定网站使用https还是http？</a>
					<div>
						问题描述 如何判定网站使用https还是http? 我要测试中国排名前100的网站是否使用https,请问如何用Python编程实现? 解决方案 访问时不是先会给传递一个网站地址的参数么,然后先用ht ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MAAgmnM.html" rel="bookmark" class="title">红杉计越：AI、大数据、SaaS、云计算为何在中国一体迸发？</a>
					<div>
						在创投界,红杉资本是一个响当当的名字.45年来,红杉资本投资了众多创新企业,包括苹果.思科.甲骨文.谷歌.阿里巴巴.Airbnb.京东等产业潮流领导者.红杉资本中国基金(下文简称&quot;红杉中国& ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pmK8wqb.html" rel="bookmark" class="title">迅雷极速版发布：去除部分插件广告 可插队加速&lpar;组图&rpar;</a>
					<div>
						迅雷 极速版v1.0发布迅雷推出了全 新的极速版,该版本拥有全新的界面,去广告.加速快.更清爽.更智能. 迅雷极速版v1.0主要特点:1.优化繁复的 安装过程,默认给你最智能的设置,告别痛苦,极速启动 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MgR2xZb.html" rel="bookmark" class="title">国产麒麟系统为何饱受争议？</a>
					<div>
						由国防科大开发的麒麟操作系统有很多,与国防科大混乱的CPU产品线一样,这些麒麟操作系统彼此之间技术延续性也有限,比较有名的是银河麒麟.优麒麟和中标麒麟操作系统. 另外,华为准备推出的可能被用于手机或物 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z7x2Bab.html" rel="bookmark" class="title">旅游景点做好微博营销的三大策略</a>
					<div>
						中介交易 http://www.aliyun.com/zixun/aggregation/6858.html&quot;&gt;SEO诊断 淘宝客 云主机 技术大厅 目标客户聚集在哪里,哪里就是我们的 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/b2268kb.html" rel="bookmark" class="title">哪位大侠遇到过java虚拟机中线程这样死掉的现象，原因是什么呀</a>
					<div>
						问题描述 我在项目的开发过程中遇到了一个奇怪的现象,就是在任务管理器中看java进程没有占用太多的内存,但是,其中的一个线程内存溢出了,java.lang.outofmemory java heap  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M6097Wz.html" rel="bookmark" class="title">iOS客户端  环信聊天发送图片， 对方接受图片特别慢</a>
					<div>
						问题描述 - (void)didReceiveMessages:(NSArray *)aMessages { }在这个方法里打印NSLog(@&quot;remotePath == %@&quot;, ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p5R0aRz.html" rel="bookmark" class="title">打开企业管理器</a>
					<div>
						问题描述 打开企业管理器时提示未能与(local)连接原因是内存分配失败 解决方案 解决方案二:数据库的服务器开了吗?先开了数据库的服务器再打开管理器如果打开了,出现这样的情况的话,就再重新打开一下就 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pmVdl7z.html" rel="bookmark" class="title">asp&period;net入门篇页面之间传递参数变量代码</a>
					<div>
						1.QueryString[]     优点:使用简单,对于安全性要求不高时传递数字和文本值非常高效.     缺点:安全性不高,参数值直接暴露在Url中,传递大小长度有限制,不能传递对象.      ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M6Galgp.html" rel="bookmark" class="title">基于python脚本实现软件的注册功能（机器码&plus;注册码机制）&lowbar;python</a>
					<div>
						一.前言: 目的:完成已有python图像处理工具的注册功能 功能:用户运行程序后,通过文件自动检测认证状态,如果未经认证,就需要注册.注册过程是用户将程序运行后显示的机器码(C盘的卷序号)发回给管理 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MgE9R5z.html" rel="bookmark" class="title">asp&period;net 组件开发中的内嵌资源引用&lowbar;实用技巧</a>
					<div>
						类名字空间前资源注册 复制代码 代码如下: [assembly: System.Web.UI.WebResource(&quot;XXX.js.FilePlugin.js&quot;, &quot;t ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pL5PNaz.html" rel="bookmark" class="title">&period;Net生成html页面的程序代码&lpar;含分页&rpar;</a>
					<div>
						1.简单的生成htm页面代码没有分页  代码如下 复制代码 using system; using system.data; using system.configuration; using sys ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pdmoGNz.html" rel="bookmark" class="title">客户端如何缓存依赖远程数据库</a>
					<div>
						问题描述 我想在客户端写一个程序,从本地建立一个缓存依赖远程服务器的数据库 解决方案 解决方案二:关注中.解决方案三:我是菜鸟,没人能告诉我吗					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MgE1o5z.html" rel="bookmark" class="title">请教一个sql server2000中触发器的问题 。。</a>
					<div>
						问题描述 需求是 : 若A表发生insert,update操作,则往B表中写入A表刚被insert或者update的记录的c字段.问题 : insert时的语法怎么写??这是我的sql:create  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zen0g0b.html" rel="bookmark" class="title">郭涛&colon;华贸网将免费B2B电子商务进行到底</a>
					<div>
						电子商务可以提高中小企业的存活率,增强企业竞争实力.缩短了生产与研发的周期,电子商务的实现可大大提高信息和资金等的转移速度,提高工作效率,缩短生产周期,从而降低单位产品的生产成本.目前越来越多的企业已 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MA68V2p.html" rel="bookmark" class="title">互联网历史上15个划时代的&OpenCurlyDoubleQuote;第一&rdquo;下篇</a>
					<div>
						中介交易 SEO诊断 淘宝客 云主机 技术大厅 互联网之所以有今日之繁荣,并且融入到我们的日常生活,这都应归功于那些开拓者和创新者.&lt;上篇:互联网历史上15个划时代的&quot;第一&quot; ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M1DY1jb.html" rel="bookmark" class="title">《Python机器学习&mdash;&mdash;预测分析核心算法》&mdash;&mdash;2&period;1　&OpenCurlyDoubleQuote;解剖&rdquo;一个新问题</a>
					<div>
						2.1 &quot;解剖&quot;一个新问题 本书介绍的算法通常是从一个充满了数字,可能是特征(变量)的矩阵(或表格)开始的.表2-1展示了一些术语,代表了一个小规模的二维机器学习数据集.此表提供了 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mrvx5xM.html" rel="bookmark" class="title">php之MVC简单介绍</a>
					<div>
						Model:业务逻辑层,处理数据库的,sql语句,文件处理,图片处理,分页处理-- View :显示层,即静态页面,输出界面 controller : 控制层,连接Model 和View的,进行验证- ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>热搜</span>
		</div>
		<div class="box-content">
					</div>
	</div>


</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 iVAN        | info#iamivan.net        | 11 q. 0.035 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <!-- <script src="/assets/js/jquery.js"></script>
  <script src="/assets/js/bootstrap.min.js"></script> -->
  <div style=" display: none ";>
  </div>

<script src="/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
    </script>
</body>
</html>
